Categories
List
Returns every knowledge base category in the workspace, sorted by name and not paginated.
With get_as_tree=true only the root categories are returned, each with its descendants nested under children (also sorted by name).
GET
/api/{tenant:minlength(2)}/v{version:apiVersion}/categories
- Authorisation
- Minimum role: USER
Request arguments
| Name |
Type |
Source |
| get_as_tree | Boolean | |
Request body example
Response
- Status
- 200 (OK)
- Type
- DTO_category[]
- Wrapper
- DTO_response_wrap
- Other statuses
- 400 (BadRequest), 403 (Forbidden)
Response body example
DTO_category
| Name | Type | ReadOnly | Description |
| created_by | DTO_reference_user | ReadOnly | Created by |
| last_updated_by | DTO_reference_user | ReadOnly | Last updated by |
| children | DTO_category[] | ReadOnly | Children |
| id | Int32 | ReadOnly | Leave empty when Creating object |
| parent_id | Int32 | | Parent id |
| name | String | | Name |
| name_path | String[] | ReadOnly | Name path |
| unique_key | String | | Unique key |
| description | String | | Description |
| visibility | ENUM category_visibility | | Visibility |
| icon_id | Int32 | | Icon id |
| icon_file | String | ReadOnly | Icon file |
| created | DateTime | ReadOnly | Created |
| last_updated | DateTime | ReadOnly | Last updated |
DTO_reference_user
| Name | Type | ReadOnly | Description |
| profile_pic | String | ReadOnly | Profile pic |
| email | String | ReadOnly | Email |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_category
| Name | Type | ReadOnly | Description |
| created_by | DTO_reference_user | ReadOnly | Created by |
| last_updated_by | DTO_reference_user | ReadOnly | Last updated by |
| children | DTO_category[] | ReadOnly | Children |
| id | Int32 | ReadOnly | Leave empty when Creating object |
| parent_id | Int32 | | Parent id |
| name | String | | Name |
| name_path | String[] | ReadOnly | Name path |
| unique_key | String | | Unique key |
| description | String | | Description |
| visibility | ENUM category_visibility | | Visibility |
| icon_id | Int32 | | Icon id |
| icon_file | String | ReadOnly | Icon file |
| created | DateTime | ReadOnly | Created |
| last_updated | DateTime | ReadOnly | Last updated |
ENUM category_visibility
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | INTERNAL | INTERNAL |
| 2 | HELP_CENTER | HELP CENTER |
Generated Aug 4, 2026 18:37